package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MarketType;


/**
*  service接口类
*/
public interface MarketTypeService{

    List<MarketType> getMarketTypeList(MarketType record);

    List<MarketType> getMarketTypeByPage(Page page, MarketType record);

    MarketType getMarketTypeById(String id);

    MarketType getMarketType(MarketType record);

    boolean createMarketType(MarketType record);

    boolean deleteMarketType(MarketType record);

    boolean updateMarketType(MarketType record);
}

